Debian Bug report logs - #672756
src:octave-statistics: tests in tbl_delim.m not executed (because under inst/private/)

version graph

Package: src:octave-statistics; Maintainer for src:octave-statistics is Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>;

Reported by: Sébastien Villemot <sebastien@debian.org>

Date: Sun, 13 May 2012 13:03:01 UTC

Severity: normal

Tags: patch, pending, upstream

Found in version octave-statistics/1.1.3-1

Fixed in version octave-statistics/1.2.0-2

Done: Sébastien Villemot <sebastien@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>:
Bug#672756; Package octave-pkg-dev. (Sun, 13 May 2012 13:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Villemot <sebastien.villemot@ens.fr>:
New Bug report received and forwarded. Copy sent to Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>. (Sun, 13 May 2012 13:03:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien.villemot@ens.fr>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: octave-pkg-dev: testsuite does not handle files under inst/private
Date: Sun, 13 May 2012 14:59:28 +0200
Package: octave-pkg-dev
Version: 1.0.2
Severity: normal

When the testsuite of an Octave Forge package is run, the unit tests of files
under inst/private are not run (instead one gets a non-fatal error message).

Example from octave-statistics, which contains a file called
inst/private/tbl_delim.m:

 [tbl_delim]
 ????? tbl_delim does not exist in path

The error message is harmless, but as a consequence the unit tests of
tbl_delim.m are not run.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (990, 'testing'), (600, 'unstable'), (550, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-1-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages octave-pkg-dev depends on:
ii  cdbs           0.4.111
ii  debhelper      9.20120419
ii  liboctave-dev  3.6.1-4
ii  perl           5.14.2-9

octave-pkg-dev recommends no packages.

octave-pkg-dev suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>:
Bug#672756; Package octave-pkg-dev. (Wed, 30 May 2012 07:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rafael Laboissiere <rafael@laboissiere.net>:
Extra info received and forwarded to list. Copy sent to Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>. (Wed, 30 May 2012 07:51:03 GMT) Full text and rfc822 format available.

Message #10 received at 672756@bugs.debian.org (full text, mbox):

From: Rafael Laboissiere <rafael@laboissiere.net>
To: 672756@bugs.debian.org
Subject: Re: [Pkg-octave-devel] Bug#672756: octave-pkg-dev: testsuite does not handle files under inst/private
Date: Wed, 30 May 2012 09:09:16 +0200
* Sébastien Villemot <sebastien.villemot@ens.fr> [2012-05-13 14:59]:

> When the testsuite of an Octave Forge package is run, the unit tests of files
> under inst/private are not run (instead one gets a non-fatal error message).
> 
> Example from octave-statistics, which contains a file called
> inst/private/tbl_delim.m:
> 
>  [tbl_delim]
>  ????? tbl_delim does not exist in path
> 
> The error message is harmless, but as a consequence the unit tests of
> tbl_delim.m are not run.

For the normal usage of Octave, having tests burried into private files
is a design mistake, since they cannot be exercised by the test()
function.  Of course, one can add the private directory to the path, but
this would defeat the very concept of a "private" directory.

We have two options here: 

(1) We change octave-pkg-dev such that it checks whether the .m file is
in a private directory and accordingly change the Octave path prior to
running the test.

(2) We inform the upstream author about the design mistake.  In the case
of tbl_delim.m in octave-statistics, in particular, the tests were kept
when the file moved from inst/__tbl_delim__.m into
inst/private/tbl_delim.m [*].  A rational thing to do would be to move
the tests from tbl_delim.m into tblwrite.m, the only place where
tbl_delim() is invoked.

Rafael

[*] http://octave.svn.sourceforge.net/viewvc/octave?view=revision&revision=8818




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>:
Bug#672756; Package octave-pkg-dev. (Wed, 30 May 2012 09:42:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Villemot <sebastien.villemot@ens.fr>:
Extra info received and forwarded to list. Copy sent to Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>. (Wed, 30 May 2012 09:42:23 GMT) Full text and rfc822 format available.

Message #15 received at 672756@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien.villemot@ens.fr>
To: Rafael Laboissiere <rafael@laboissiere.net>
Cc: 672756@bugs.debian.org
Subject: Re: [Pkg-octave-devel] Bug#672756: Bug#672756: octave-pkg-dev: testsuite does not handle files under inst/private
Date: Wed, 30 May 2012 11:38:25 +0200
[Message part 1 (text/plain, inline)]
Rafael Laboissiere <rafael@laboissiere.net> writes:

> * Sébastien Villemot <sebastien.villemot@ens.fr> [2012-05-13 14:59]:
>
>> When the testsuite of an Octave Forge package is run, the unit tests of files
>> under inst/private are not run (instead one gets a non-fatal error message).
>> 
>> Example from octave-statistics, which contains a file called
>> inst/private/tbl_delim.m:
>> 
>>  [tbl_delim]
>>  ????? tbl_delim does not exist in path
>> 
>> The error message is harmless, but as a consequence the unit tests of
>> tbl_delim.m are not run.
>
> For the normal usage of Octave, having tests burried into private files
> is a design mistake, since they cannot be exercised by the test()
> function.  Of course, one can add the private directory to the path, but
> this would defeat the very concept of a "private" directory.

I had not realized that it was indeed a design mistake. Given that, it
probably makes sense to choose your option (2) below:

> (2) We inform the upstream author about the design mistake.  In the case
> of tbl_delim.m in octave-statistics, in particular, the tests were kept
> when the file moved from inst/__tbl_delim__.m into
> inst/private/tbl_delim.m [*].  A rational thing to do would be to move
> the tests from tbl_delim.m into tblwrite.m, the only place where
> tbl_delim() is invoked.

I know that other packages besides statistics are affected. We need to
identify them and report the issues upstream.

-- 
Sébastien Villemot
Researcher in Economics & Debian Maintainer
http://www.dynare.org/sebastien
Phone: +33-1-40-77-84-04 - GPG Key: 4096R/381A7594
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>:
Bug#672756; Package octave-pkg-dev. (Wed, 30 May 2012 11:19:38 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rafael Laboissiere <rafael@laboissiere.net>:
Extra info received and forwarded to list. Copy sent to Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>. (Wed, 30 May 2012 11:19:43 GMT) Full text and rfc822 format available.

Message #20 received at 672756@bugs.debian.org (full text, mbox):

From: Rafael Laboissiere <rafael@laboissiere.net>
To: 672756@bugs.debian.org
Subject: Re: [Pkg-octave-devel] Bug#672756: Bug#672756: octave-pkg-dev: testsuite does not handle files under inst/private
Date: Wed, 30 May 2012 13:17:37 +0200
[Message part 1 (text/plain, inline)]
* Sébastien Villemot <sebastien.villemot@ens.fr> [2012-05-30 11:38]:

> Rafael Laboissiere <rafael@laboissiere.net> writes:
> 
> I had not realized that it was indeed a design mistake. Given that, it
> probably makes sense to choose your option (2) below:
> 
> > (2) We inform the upstream author about the design mistake.  In the case
> > of tbl_delim.m in octave-statistics, in particular, the tests were kept
> > when the file moved from inst/__tbl_delim__.m into
> > inst/private/tbl_delim.m [*].  A rational thing to do would be to move
> > the tests from tbl_delim.m into tblwrite.m, the only place where
> > tbl_delim() is invoked.
> 
> I know that other packages besides statistics are affected. We need to
> identify them and report the issues upstream.

Attached below is a patch that might fix the problem in
octave-statistics.

Rafael

[expose-tbl-delim-tests.patch (text/x-diff, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>:
Bug#672756; Package octave-pkg-dev. (Wed, 30 May 2012 12:02:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rafael Laboissiere <rafael@laboissiere.net>:
Extra info received and forwarded to list. Copy sent to Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>. (Wed, 30 May 2012 12:03:36 GMT) Full text and rfc822 format available.

Message #25 received at 672756@bugs.debian.org (full text, mbox):

From: Rafael Laboissiere <rafael@laboissiere.net>
To: 672756@bugs.debian.org
Subject: Re: Bug#672756: octave-pkg-dev: testsuite does not handle files under inst/private
Date: Wed, 30 May 2012 13:57:49 +0200
* Rafael Laboissiere <rafael@laboissiere.net> [2012-05-30 13:17]:

> * Sébastien Villemot <sebastien.villemot@ens.fr> [2012-05-30 11:38]:
> 
> > Rafael Laboissiere <rafael@laboissiere.net> writes:
> > 
> > I had not realized that it was indeed a design mistake. Given that, it
> > probably makes sense to choose your option (2) below:
> > 
> > > (2) We inform the upstream author about the design mistake.  In the case
> > > of tbl_delim.m in octave-statistics, in particular, the tests were kept
> > > when the file moved from inst/__tbl_delim__.m into
> > > inst/private/tbl_delim.m [*].  A rational thing to do would be to move
> > > the tests from tbl_delim.m into tblwrite.m, the only place where
> > > tbl_delim() is invoked.
> > 
> > I know that other packages besides statistics are affected. We need to
> > identify them and report the issues upstream.

Here they are (there may be others not caught by my shell snippet below):

$ dpkg -L $(apt-file find /private/ | grep .m$ | grep ^octave | cut -f1 -d: | uniq) | grep /private/ | xargs grep "^%\!test" | cut -f1 -d: | uniq
/usr/share/octave/packages/financial-0.4.0/private/fetch_google.m
/usr/share/octave/packages/financial-0.4.0/private/fetch_yahoo.m
/usr/share/octave/packages/geometry-1.4.1/io/private/getSVGPaths_py.m
/usr/share/octave/packages/geometry-1.4.1/io/deprecated/private/getSVGPaths_py.m
/usr/share/octave/packages/statistics-1.1.3/private/tbl_delim.m

Rafael




Changed Bug submitter to 'Sébastien Villemot <sebastien@debian.org>' from 'Sébastien Villemot <sebastien.villemot@ens.fr>' Request was from Sébastien Villemot <sebastien@debian.org> to control@bugs.debian.org. (Sun, 30 Sep 2012 10:12:07 GMT) Full text and rfc822 format available.

Added tag(s) upstream. Request was from Sébastien Villemot <sebastien@debian.org> to control@bugs.debian.org. (Mon, 15 Apr 2013 19:15:04 GMT) Full text and rfc822 format available.

Bug 672756 cloned as bugs 705503, 705504 Request was from Sébastien Villemot <sebastien@debian.org> to control@bugs.debian.org. (Mon, 15 Apr 2013 19:15:05 GMT) Full text and rfc822 format available.

Bug reassigned from package 'octave-pkg-dev' to 'src:octave-statistics'. Request was from Sébastien Villemot <sebastien@debian.org> to control@bugs.debian.org. (Mon, 15 Apr 2013 19:15:06 GMT) Full text and rfc822 format available.

No longer marked as found in versions octave-pkg-dev/1.0.2. Request was from Sébastien Villemot <sebastien@debian.org> to control@bugs.debian.org. (Mon, 15 Apr 2013 19:15:07 GMT) Full text and rfc822 format available.

Marked as found in versions octave-statistics/1.1.3-1. Request was from Sébastien Villemot <sebastien@debian.org> to control@bugs.debian.org. (Mon, 15 Apr 2013 19:15:07 GMT) Full text and rfc822 format available.

Added tag(s) patch. Request was from Sébastien Villemot <sebastien@debian.org> to control@bugs.debian.org. (Mon, 15 Apr 2013 19:15:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'src:octave-statistics: tests in tbl_delim.m not executed (because under inst/private/)' from 'octave-pkg-dev: testsuite does not handle files under inst/private' Request was from Sébastien Villemot <sebastien@debian.org> to control@bugs.debian.org. (Mon, 15 Apr 2013 19:15:09 GMT) Full text and rfc822 format available.

Reply sent to Sébastien Villemot <sebastien@debian.org>:
You have taken responsibility. (Sat, 18 May 2013 13:36:17 GMT) Full text and rfc822 format available.

Notification sent to Sébastien Villemot <sebastien@debian.org>:
Bug acknowledged by developer. (Sat, 18 May 2013 13:36:17 GMT) Full text and rfc822 format available.

Message #46 received at 672756-close@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien@debian.org>
To: 672756-close@bugs.debian.org
Subject: Bug#672756: fixed in octave-statistics 1.2.0-2
Date: Sat, 18 May 2013 13:33:38 +0000
Source: octave-statistics
Source-Version: 1.2.0-2

We believe that the bug you reported is fixed in the latest version of
octave-statistics, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 672756@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Sébastien Villemot <sebastien@debian.org> (supplier of updated octave-statistics package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sat, 18 May 2013 15:09:00 +0200
Source: octave-statistics
Binary: octave-statistics
Architecture: source all
Version: 1.2.0-2
Distribution: unstable
Urgency: low
Maintainer: Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>
Changed-By: Sébastien Villemot <sebastien@debian.org>
Description: 
 octave-statistics - additional statistical functions for Octave
Closes: 672756
Changes: 
 octave-statistics (1.2.0-2) unstable; urgency=low
 .
   * expose-tbl-delim-tests.patch: new patch, makes sure tbl_delim.m is tested
     (Closes: #672756)
Checksums-Sha1: 
 668af79960f841deaff7ba0eba7496efa321409a 2099 octave-statistics_1.2.0-2.dsc
 fca066610d70f43385b3d68af48b7a25c2bc6182 5167 octave-statistics_1.2.0-2.debian.tar.gz
 22cd5e9e737d00c14e5aa4d7df51efd301b3ceb6 120480 octave-statistics_1.2.0-2_all.deb
Checksums-Sha256: 
 86f398cc349a7651faaf5896a9c445bc55cf57f22ea49a37644baee5bca444e0 2099 octave-statistics_1.2.0-2.dsc
 388385db7c70d984c3fd2cbf4ccc201bbe64c9d11eb96ea8a8e4672635382895 5167 octave-statistics_1.2.0-2.debian.tar.gz
 cf3a123d930acaca7421acd2234bff6ab43bc9eeddbdc0e0699240bb5478cc3b 120480 octave-statistics_1.2.0-2_all.deb
Files: 
 09f80104fb2c5360499e180daf11fb11 2099 math optional octave-statistics_1.2.0-2.dsc
 f3ba9aad34b09683afdab578e5203fb6 5167 math optional octave-statistics_1.2.0-2.debian.tar.gz
 74d7ac77cf7c6bb9d1c9e05e40992d57 120480 math optional octave-statistics_1.2.0-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRl35KAAoJECzs6TUOzr5K688QAIFRwq2HrIkW+YQUkBAd7QVP
H38VCWiq3zL8muM5aGnlRY26W79IGPHAlrFMX4e1Rx0a4kqWzhHZ8D51+Bl21Fn0
NyzVv3vp2wXrx/RQDIRQNSJ2boFeCMWtAru2PUCrtIa30fpAhd+89SgGoMAcCI01
cXuPA4BwXV2XnJPWKFr3ARXwattsv+L3CPW0x0BcIYiUjm0XrFy/JQLWjkzABejA
H8W87VEEcB3LMhJ3xvRh9WMc1OXzLB6osCHak/yQS9i3zePm1ABRmHlYYrXyXFaF
dfUIvSI4sQrLg9JjW3ZbgjJTcnHSDOwiZb+66VB+SyamwLM79ayqZ5ZAZMNXAS9U
r9svzs7ZlnpOC8s0OEunUuHzGIHWxSW5YOciLryxpZj7JIulU2kaf+qy2X2Yqvnu
zqKl7OOhBpyiad7xBDIpKV6e7UGnSj1st4dP5yvG8eBm7BSgCZA/7FHtD/pTtTMS
xKH3F/gevqm1pWfPtZFyjiyqQ7p42kShlwReD2Hoslo9LhNe/xbV6xQGghjCbnWy
tBNDLLYs886orTrFaEOOz4AilKKemxizZWYWuOvTWfMncyh5ZVqdHbzKy0pFdz6L
tfKKFSkfBFCuFBlqpFh05F9Gs2lRAfFSfIv4ThcHtgZx3izey9VH1/gajPkp6n4Y
A6tHkjDdqWADPn7bCnPi
=jHmQ
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>:
Bug#672756; Package src:octave-statistics. (Sat, 18 May 2013 13:39:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sébastien Villemot <sebastien@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>. (Sat, 18 May 2013 13:39:10 GMT) Full text and rfc822 format available.

Message #51 received at 672756@bugs.debian.org (full text, mbox):

From: Sébastien Villemot <sebastien@debian.org>
To: 672756@bugs.debian.org
Cc: control@bugs.debian.org
Subject: [pkg-octave/master] expose-tbl-delim-tests.patch: new patch, makes sure tbl_delim.m is tested
Date: Sat, 18 May 2013 13:36:01 +0000
tag 672756 pending
thanks

Date: Wed May 15 18:07:52 2013 +0200
Author: Sébastien Villemot <sebastien@debian.org>
Commit ID: c501c167a6628a268ee88bfb79031b28dca2bc4d
Commit URL: http://git.debian.org/?p=pkg-octave/octave-statistics.git;a=commitdiff;h=c501c167a6628a268ee88bfb79031b28dca2bc4d
Patch URL: http://git.debian.org/?p=pkg-octave/octave-statistics.git;a=commitdiff_plain;h=c501c167a6628a268ee88bfb79031b28dca2bc4d

    expose-tbl-delim-tests.patch: new patch, makes sure tbl_delim.m is tested

    Closes: #672756
      



Added tag(s) pending. Request was from Sébastien Villemot <sebastien@debian.org> to control@bugs.debian.org. (Sat, 18 May 2013 13:39:13 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>:
Bug#672756; Package src:octave-statistics. (Sun, 16 Jun 2013 13:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Weber <tweber@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Octave Group <pkg-octave-devel@lists.alioth.debian.org>. (Sun, 16 Jun 2013 13:45:05 GMT) Full text and rfc822 format available.

Message #58 received at 672756@bugs.debian.org (full text, mbox):

From: Thomas Weber <tweber@debian.org>
To: 672756@bugs.debian.org
Subject: Re: Bug#672756: octave-pkg-dev: testsuite does not handle files under inst/private
Date: Sun, 16 Jun 2013 15:43:04 +0200
Hi, 

I snipped away some information - we are talking about packages with
tests in the private/ subdirectory.

On Wed, May 30, 2012 at 01:57:49PM +0200, Rafael Laboissiere wrote:
> Here they are (there may be others not caught by my shell snippet below):
> 
> $ dpkg -L $(apt-file find /private/ | grep .m$ | grep ^octave | cut -f1 -d: | uniq) | grep /private/ | xargs grep "^%\!test" | cut -f1 -d: | uniq
> /usr/share/octave/packages/financial-0.4.0/private/fetch_google.m
> /usr/share/octave/packages/financial-0.4.0/private/fetch_yahoo.m
> /usr/share/octave/packages/geometry-1.4.1/io/private/getSVGPaths_py.m
> /usr/share/octave/packages/geometry-1.4.1/io/deprecated/private/getSVGPaths_py.m
> /usr/share/octave/packages/statistics-1.1.3/private/tbl_delim.m

I looked at financial and I ponder its removal. It seems that both
Authors are inactive and fetch.m has an essentially failing test
commented out since 2008.
Running the tests in private/fetch_google.m gives another error.

My concerns are not about the errors, but rather about the package being
maintained upstream.

	Thomas



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 15 Jul 2013 07:30:33 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 04:28:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.